<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		javier.aponte
@version 		1.0
@description	Pantalla que muestra los datos para ingresar las observaciones al producto
@cu 			CU-TV-PR-004
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros
@modified by leidy.gonzalez 30/07/2014 Se modifica el valor del inputTextArea donde se ingresan las observaciones.
Se cambia la ación del boton Aceptar.
@modified by leidy.gonzalez 04/08/2014 Se agrega nuevo campo para que se renderice
cuando el valor sea diferente observacionesAProductoGenerado y actualice formularioAActualizar
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="observacionesAlProductoForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsObservacionesAlProducto" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="observacionesAlProductoFS">
        <legend>
            <h:outputText value="Ingresar observaciones"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid columns="2">

            <h:outputLabel value="Observaciones:" styleClass="outputLabelStyle" />

            <p:spacer height="0" width="20"/>

            <h:inputTextarea rows="5" cols="50" required="true"
                             requiredMessage="Observaciones: Requiere un valor"
                             value="#{revisionProductosGenerados.observacionesAProductoGenerado}"
                             rendered="#{revisionProductosGenerados.observacionesAProductoGenerado}"/>

            <h:inputTextarea rows="5" cols="50" required="true"
                             requiredMessage="Observaciones: Requiere un valor"
                             value="#{revisionProductosGenerados.observacionesAProductoGenerado}"
                             rendered="#{!revisionProductosGenerados.observacionesAProductoGenerado }"/>

            <p:spacer height="0" width="20"/>	

            <p:commandButton value="Aceptar"
                             title="Aceptar"	
                             icon="ui-icon-disk"
                             update=":registroCorreccionesPEForm,
                             #{formularioAActualizar}"
                             oncomplete="observacionesAlProductoWV.hide();"
                             action="#{revisionProductosGenerados.aceptarIngresarObservacionesProductoCatastralDetalle}"/>

            <p:commandButton value="Cerrar" 
                             icon="ui-icon-circle-close"
                             oncomplete="observacionesAlProductoWV.hide();" />

        </h:panelGrid>

        <p:spacer height="20" width="0" />

    </p:fieldset>

</h:form>

